Bug 134973 - EDITING Document with chart keeps the needs save state
Summary: EDITING Document with chart keeps the needs save state
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.1.0 target:7.0.1 target:7.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-07-20 07:33 UTC by NISZ LibreOffice Team
Modified: 2020-07-30 12:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (11.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-07-20 07:33 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Writer (40.25 KB, image/png)
2020-07-20 07:33 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-07-20 07:33:15 UTC
Created attachment 163298 [details]
Example file from Word

When a document that contains a chart is modified and saved, the modified state is not reset.
This happens only when a chart is present in the DOCX document (Word or LO-generated as well), but not with ODT format.

Steps to reproduce:
    1. Open attached file
    2. Type a few letters. The Save icon changes to indicate the document is changed
    3. Save with a new file name

Actual results:
The Save icon is still in Modified state. Trying to close / reload the document results in the “Save changes to document?” question.

Expected results:
Save icon is no longer in Modified state.

LibreOffice details:
Version: 7.0.0.1 (x64)
Build ID: 04ba7e3f1e51af6c5d653e543a620e36719083fd
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

But not in:
Verzió: 6.4.0.3 (x86)
Build az.: b0a288ab3d2d4774cb44b62f04d5d28733ac6df8
CPU szálak: 4; OS: Windows 6.3 Build 9600; Felületmegjelenítés: GL; VCL: win; 
Területi beállítások: en-US (hu_HU); Felület nyelve: hu-HU
Calc: CL


Bibisected using bibisect-win64-6.5 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=129f55097f926661f00919329fb28c6a85ecebbb
author	Mike Kaganski <mike.kaganski@collabora.com>	2020-04-27 17:32:07 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2020-04-27 18:29:37 +0200

Don't insert embedded object twice

Adding CC to: Mike Kaganski
Comment 1 NISZ LibreOffice Team 2020-07-20 07:33:32 UTC
Created attachment 163299 [details]
Screenshot of the problem in Writer
Comment 2 Balázs Varga 2020-07-20 08:58:11 UTC
Confirmed in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 18d9c38932d4c245ad4c8d2eb6bd16b83f770db3
CPU threads: 8; OS: Windows 10.0 Build 14393; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 3 Mike Kaganski 2020-07-20 11:20:18 UTC
https://gerrit.libreoffice.org/c/core/+/99044
Comment 4 Commit Notification 2020-07-20 20:45:43 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/346bc3661bfde0c4e000716601a26f91e0bd523f

tdf#134973: restore unmodified status of chart on export

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-21 13:00:34 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/f533b6f9764e96be14aafe4ed125c8ed44a281bc

tdf#134973: restore unmodified status of chart on export

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-07-29 18:26:23 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-0":

https://git.libreoffice.org/core/commit/2e6a8db9a51e5bf0d5056e8ff9af21f7827dd1d9

tdf#134973: restore unmodified status of chart on export

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-07-30 12:02:16 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 231e1e416c039d1f9724962a89cf0573a3db48a2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Mike Kaganski, thanks for fixing this issue!!